Bug 1474445 - blivet.errors.LUKSError: luks device not configured
blivet.errors.LUKSError: luks device not configured
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
abrt_hash:b568ac7ecadca395851602f25cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 11:44 EDT by Joachim Frieben
Modified: 2018-05-29 08:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (4.42 MB, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: anaconda.log (161.06 KB, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: environ (591 bytes, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: journalctl (2.01 MB, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: lsblk_output (2.04 KB, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: nmcli_dev_list (2.49 KB, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: os_info (518 bytes, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: program.log (320.01 KB, text/plain)
2017-07-24 11:46 EDT, Joachim Frieben
no flags Details
File: storage.log (1.82 MB, text/plain)
2017-07-24 11:47 EDT, Joachim Frieben
no flags Details
File: ifcfg.log (17.04 KB, text/plain)
2017-07-24 11:47 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2017-07-24 11:44:51 EDT
Version-Release number of selected component:
anaconda-core-26.21.11-1.fc26.x86_64

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/formats/luks.py", line 217, in _pre_setup
    raise LUKSError("luks device not configured")
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 599, in setup
    if not self._pre_setup(**kwargs):
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 506, in setup_parents
    _format.setup()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 363, in _pre_setup
    self.setup_parents(orig=orig)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 374, in setup
    if not self._pre_setup(orig=orig):
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/deviceaction.py", line 695, in execute
    self.device.setup(orig=True)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 437, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 471, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install.py", line 363, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
blivet.errors.LUKSError: luks device not configured

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image quiet kaslr
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: system-python-libs-3.6.1-8.fc26.x86_64, python3-blivet-2.1.9-1.fc26.noarch
product:        Fedora
release:        Fedora release 26 (Twenty Six)
type:           anaconda
version:        26
Comment 1 Joachim Frieben 2017-07-24 11:46:03 EDT
Created attachment 1303735 [details]
File: anaconda-tb
Comment 2 Joachim Frieben 2017-07-24 11:46:09 EDT
Created attachment 1303736 [details]
File: anaconda.log
Comment 3 Joachim Frieben 2017-07-24 11:46:10 EDT
Created attachment 1303737 [details]
File: environ
Comment 4 Joachim Frieben 2017-07-24 11:46:41 EDT
Created attachment 1303739 [details]
File: journalctl
Comment 5 Joachim Frieben 2017-07-24 11:46:43 EDT
Created attachment 1303740 [details]
File: lsblk_output
Comment 6 Joachim Frieben 2017-07-24 11:46:44 EDT
Created attachment 1303741 [details]
File: nmcli_dev_list
Comment 7 Joachim Frieben 2017-07-24 11:46:46 EDT
Created attachment 1303742 [details]
File: os_info
Comment 8 Joachim Frieben 2017-07-24 11:46:53 EDT
Created attachment 1303743 [details]
File: program.log
Comment 9 Joachim Frieben 2017-07-24 11:47:21 EDT
Created attachment 1303744 [details]
File: storage.log
Comment 10 Joachim Frieben 2017-07-24 11:47:24 EDT
Created attachment 1303745 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2018-05-03 04:36:49 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2018-05-29 08:01:15 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.